import axios from '@/utils/request'

export function getEntrustRece(query) {
  return axios({
    url: "/spms/entrust/rece/filter",
    method: "get",
    params: query
  });
}

export function deleteEntrustRece(query) {
  return axios({
    url: "/spms/entrust/rece/delete",
    method: "post",
    data: query
  });
}

export function updateEntrustRece(query) {
  return axios({
    url: "/spms/entrust/rece/update",
    method: "post",
    data: query
  });
}

export function insertEntrustRece(query) {
  return axios({
    url: "/spms/entrust/rece/add",
    method: "post",
    data: query
  });
}


export function filterNoUseBusType(query) {
  return axios({
    url: "/spms/entrust/rece/filterAllNoUse",
    method: "get",
    params: query
  });
}


